Bug 901996 - engine: live storage migration fails with CanDoAction on live snapshot because of low disk space without any alert in event log
engine: live storage migration fails with CanDoAction on live snapshot becaus...
Status: CLOSED WONTFIX
Product: Red Hat Enterprise Virtualization Manager
Classification: Red Hat
Component: ovirt-engine (Show other bugs)
3.2.0
x86_64 Linux
unspecified Severity medium
: ---
: 3.3.0
Assigned To: Tal Nisan
Dafna Ron
storage
: Triaged
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2013-01-20 06:30 EST by Dafna Ron
Modified: 2016-02-10 12:59 EST (History)
12 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2013-03-20 06:37:31 EDT
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: Storage
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
log and screen shot (271.55 KB, application/x-gzip)
2013-01-20 06:30 EST, Dafna Ron
no flags Details

  None (edit)
Description Dafna Ron 2013-01-20 06:30:59 EST
Created attachment 683531 [details]
log and screen shot

Description of problem:

I wanted to live move disks but there is low storage space on my domain.
the live migration and the failure are both not reported in event log. 

Version-Release number of selected component (if applicable):

sf3

How reproducible:

100%

Steps to Reproduce:
1. create a VM with preallocated disks leaving only 10% free space on your domain
2. run the vm
3. try to live move the disks to a second domain. 
  
Actual results:

the live migration will fail with CanDoAction but the event log is not reporting failure. 

Expected results:

we should report failure 

Additional info: log


2013-01-20 13:09:57,276 WARN  [org.ovirt.engine.core.bll.CreateAllSnapshotsFromVmCommand] (pool-3-thread-45) [71c03db8] CanDoAction of action CreateAllSnapshotsFromVm failed. Reasons:VAR__ACTION__CREATE,VAR__TYPE__SNAPSHOT,ACTION_TYPE_F
AILED_DISK_SPACE_LOW
Comment 2 Yair Zaslavsky 2013-01-20 07:39:50 EST
IMHO, adding this new event should is more storage related (i.e - providing new event in storage flow of live storage migration).
Comment 3 Allon Mureinik 2013-01-20 16:22:38 EST
Currently, we only fire such a audit log msg as a result of polling storage domains, not in CDA.

Resetting devel-ack until further discussion with qa/pm

Note You need to log in before you can comment on or make changes to this bug.